64位 centos 运行 android adb

64位 centos 运行 android adb


adb是32位的,所以运行时要使用32位体系,而google上的IDE没有考虑linux上有些库本身还没有。我的运行环境是CentOS6.3的liveCD版,其中最麻烦的是要找libncurses.so.5库,CensOS通过yum找不到,还

adb是32位的,所以运行时要使用32位体系,而google上的IDE没有考虑linux上有些库本身还没有。我的运行环境是CentOS6.3的liveCD版,其中最麻烦的是要找libncurses.so.5库,CensOS通过yum找不到,还好有人帮忙了。

直接./adb会发现错误:

/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

通过yum whatprovides */ld-linux.so.2找到相关软件,执行yum install XXX.

再运行./adb会发现类似错误,缺少libncurses.so.5:

//在Fedora上使用yum install ncurses-libs.i686 libstdc++.i686 libgcc.i686//Ubuntusudo apt-get install ia32-libs//ArchLinuxyaourt -S multilib/lib32-ncurses//CentOSyum install ncurses ncurses-devel ncurses-libs ncurses-libs.i686   ncurses-devel.i686

再运行./adb会发现类似错误,缺少 libstdc++.so.6

yum install libstdc++.so.6

我当时不能直接安装,它提示什么XXX.i686 != XXX.x86_64,当时也没管,反正要用g++就yum install gcc-g++了,然后再安装libstdc++.so.6就行了,至于为什么,还没看。

然后打开Eclipse,创建Android工程,但是可能还是有提示zlib.so.1不存在,此时R类不能够自动生成,安装

yum install zlib.i686

即可,你会发现R下面的红色错误提示消失了...完成

发布了8 篇原创文章 · 获赞 1 · 访问量 2万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览